1Password extension add-on in Firefox 57 protected browser

I’m using 1Password v4.6.2.626 on Windows 10 Fall Creators Update v1709 and Firefox v57.

I had connection problem to download the 1Password Firefox extension. As suggested in other posts I used Chrome to download it into a folder and then manually added the extension (v4.6.12.90) and bingo it works.

However I also use Kaspersky Internet Security v17 and it’s Safe Money component. Safe Money opens a “protected” Firefox 57 session.
When I tried to copy the 1Password extension into it (same method as for “unprotected” Firefox 57) it failed with message “1Password could not be installed because it is not compatible with Firefox 57.0”. Huh?!? Tried installing it using Add-ons tool. Same problem.

I tried this initially on a “normal” local account and then with an admin one. Same problem.

Tried it again after closing Kaspersky. Same problem.

Did not have this problem in previous version of Firefox protected or not.

I can still open 1Password normally and manually copy/paste log in details but is a bit of a pain.

Any answers or should I contact Kaspersky with this issue?

Many thanks in advance


1Password Version: Not Provided
Extension Version: Not Provided
OS Version: Not Provided
Sync Type: Not Provided

Comments

  • GregGreg

    Team Member

    Hello @esaguk,

    Thank you for reaching out and using 1Password! :+1:

    If 1Password extension works in Firefox without Safe Money, but doesn't work in Firefox with Safe Money, I am not sure what we can do about it. Are you able to run "protected" Firefox session without Safe Money or will it be a normal Firefox session?

    I also noticed that the plugins can be disabled for Safe Money browser session, if you see an orange frame in your browser. Do you see something like that? This is relevant for Kaspersky Internet Security 2016, but checking it won't hurt.

    I will be looking forward to your reply. Thanks!

    Cheers,
    Greg

  • Many thanks Greg for your reply.
    I think that "protected" Firefox is a term used by Kaspersky. Mozilla does not use that term but has Safe Mode, Protection etc. Guess that Kaspersky use a specific "script" to enforce "protection". Not surprisingly I can't find any details on this on Kaspersky site - guess they wouldn't want the "wrong" people to know that info.
    So basically I can't work out how to "mimic" the Kaspersky version of "protected" Firefox.
    There is no orange frame round the "protected" Firefox.
    I tried the 1Password extension instal via Add-ons Tool using "add-on debugging".
    It gave me this "There was an error during installation: Add-on [email protected] is not compatible with application version. add-on minVersion: 38.0. add-on maxVersion: *."
    Not much more info than before :'(
    I guess I'll have to check with Kaspersky Support to see if they can shed any light - though I won't hold my breath.
    Many thanks again.
    Regards,
    Ed

  • brentybrenty

    Team Member

    @esaguk: Which version of the 1Password extension are you trying to install? That "minVersion: 38.0" doesn't sound right to me, as Firefox changed to WebExtensions recently; our current extension, in order to be compatible, will not work with versions older than 50. So I don't know if that's Kaspersky messing with 1Password, or messing with Firefox. You can get the latest extension (and many others) from our website:

    https://app-updates.agilebits.com/product_history/OPX4

    Let me know what you find!

  • Hi Brenty,
    Whoops - mega whoops :-((
    Just checked again and realised that I tried installing wrong old extension 1Password-4.6.6.xpi - very red face!!!!
    Just tried it with 1Password-4.6.12.90.xpi and installed beautifully.

    Big big apologies for taking up your time through very stupid user error.
    Not as bad as some of the user errors I've come across in my IS development days but still embarrassing.
    Many many thanks.
    Ed

  • brentybrenty

    Team Member

    Not a problem! Personally I love it when I make mistakes like that (believe me it happens!) since it's often an easy fix. We're here for you no matter what! :chuffed:

Leave a Comment

BoldItalicStrikethroughOrdered listUnordered list
Emoji
Image
Align leftAlign centerAlign rightToggle HTML viewToggle full pageToggle lights
Drop image/file